curl --request GET \
--url 'https://edi.stateset.com/v1/signing-key' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
Returns the Ed25519 public key used to sign VES events, plus a ready-made
payload for registering it with the sequencer’s POST /v1/agents/keys.
GET
/
v1
/
signing-key
curl --request GET \
--url 'https://edi.stateset.com/v1/signing-key' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
payload for registering it with the sequencer’s
POST /v1/agents/keys.
Response
No response body. The active signing public key.Status codes
| Code | Meaning |
|---|---|
200 | The active signing public key |
403 | Admin credential required |
404 | Signing is disabled |
curl --request GET \
--url 'https://edi.stateset.com/v1/signing-key' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
Last modified on August 31, 2026